com.sun.jdi

## Class InternalException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.sun.jdi.InternalException

All Implemented Interfaces:
  Serializable

    public class InternalException
    extends RuntimeException

Thrown to indicate that an unexpected internal error has occurred.

Since:
  1.3
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`InternalException()`
`InternalException(int errorCode)`
`InternalException(String s)`
`InternalException(String s, int errorCode)`

### Method Summary

Methods
`int` `errorCode()`

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InternalException

    public InternalException()

#### InternalException

    public InternalException(String s)

#### InternalException

    public InternalException(int errorCode)

#### InternalException

    public InternalException(String s,
                     int errorCode)

### Method Detail

#### errorCode

    public int errorCode()

Copyright © 1999, 2017, Oracle and/or its affiliates. All rights reserved.